Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxws
Interface SOAPExportingTransactionManager

All Known Implementing Classes:
  SOAPExportingTransactionManagerImp, SOAPExportingTransactionManagerImp

    public interface SOAPExportingTransactionManager

Copyright © 2005, Atomikos. All rights reserved. An interface for explicit export of a transaction.

Method Summary
`void` | `extractExtent(javax.xml.soap.SOAPMessage msg)` Extract extent information from a returned SOAP message.
`void` | `insertPropagation(String tid, javax.xml.soap.SOAPMessage msg)` Insert a portable propagation into an outgoing SOAP message.

Method Detail

### extractExtent

    void extractExtent(javax.xml.soap.SOAPMessage msg)
                       throws javax.xml.soap.SOAPException,
                              RollbackException

  Extract extent information from a returned SOAP message. This method returns nothing because the extraction process needs to do all the construction and addition of the remote participant proxies based on the returned URIs. This method does not need or establish any thread associations for the transaction in question.

  Parameters:
    `msg` - The message.
  Throws:
    `javax.xml.soap.SOAPException` - If the message could not be parsed.
    `RollbackException` - If the transaction referred to in the message has rolled back in the meantime.

### insertPropagation

    void insertPropagation(String tid,
                           javax.xml.soap.SOAPMessage msg)
                           throws RollbackException,
                                  javax.xml.soap.SOAPException

  Insert a portable propagation into an outgoing SOAP message. This method does not need or establish any thread associations for the transaction in question.

  Parameters:
    `tid` - The identifier of the transaction for which to insert the propagation.
    `msg` - The outgoing message.
  Throws:
    `RollbackException` - If the transaction has rolled back due to timeout.
    `javax.xml.soap.SOAPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.